com.sun.grid.jgdi.configuration

## Interface JobSchedulingMessage

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    JobSchedulingMessageImpl

      public interface JobSchedulingMessage
      extends GEObject

  Java representation of the cull object MES_Type defined in sge_all_listsL.template

  Warning: The JobSchedulingMessage class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJobNumber(ULNG ajobNumber)` Add a com.sun.grid.jgdi.configuration.ULNG attribute.
    `java.lang.String` | `dump()`
    `ULNG` | `getJobNumber(int index)` Get a com.sun.grid.jgdi.configuration.ULNG attribute at an index.
    `int` | `getJobNumberCount()` Get the number of com.sun.grid.jgdi.configuration.ULNG attributes.
    `java.util.List<ULNG>` | `getJobNumberList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ULNG attributes.
    `java.lang.String` | `getMessage()` Get the value of the message attribute.
    `int` | `getMessageNumber()` Get the value of the messageNumber attribute.
    `boolean` | `isSetJobNumber()` Determine if any jobNumber attribute is set
    `boolean` | `isSetMessage()` Determine if any message attribute is set
    `boolean` | `isSetMessageNumber()` Determine if any messageNumber attribute is set
    `void` | `removeAllJobNumber()` Remove all com.sun.grid.jgdi.configuration.ULNG attributes.
    `ULNG` | `removeJobNumber(int index)` Remote a com.sun.grid.jgdi.configuration.ULNG attribute at an index.
    `boolean` | `removeJobNumber(ULNG ajobNumber)` Remote a specific com.sun.grid.jgdi.configuration.ULNG attribute.
    `void` | `setJobNumber(int index, ULNG ajobNumber)` Set a com.sun.grid.jgdi.configuration.ULNG attribute.
    `void` | `setMessage(java.lang.String aMessage)` Set the message attribute.
    `void` | `setMessageNumber(int aMessageNumber)` Set the messageNumber attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### getJobNumberList

          java.util.List<ULNG> getJobNumberList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ULNG attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ULNG attributes

    - #### getJobNumberCount

          int getJobNumberCount()

      Get the number of com.sun.grid.jgdi.configuration.ULNG attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ULNG attributes.

    - #### getJobNumber

          ULNG getJobNumber(int index)

      Get a com.sun.grid.jgdi.configuration.ULNG attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ULNG attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ULNG attribute

    - #### addJobNumber

          void addJobNumber(ULNG ajobNumber)

      Add a com.sun.grid.jgdi.configuration.ULNG attribute.
      Parameters:
        `ajobNumber` - the new com.sun.grid.jgdi.configuration.ULNG attribute

    - #### setJobNumber

          void setJobNumber(int index,
                            ULNG ajobNumber)

      Set a com.sun.grid.jgdi.configuration.ULNG attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ULNG attribute
        `ajobNumber` - the new com.sun.grid.jgdi.configuration.ULNG attribute

    - #### removeAllJobNumber

          void removeAllJobNumber()

      Remove all com.sun.grid.jgdi.configuration.ULNG attributes.

    - #### removeJobNumber

          ULNG removeJobNumber(int index)

      Remote a com.sun.grid.jgdi.configuration.ULNG attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ULNG attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ULNG attribute or `null` if no attribute at this index is stored

    - #### removeJobNumber

          boolean removeJobNumber(ULNG ajobNumber)

      Remote a specific com.sun.grid.jgdi.configuration.ULNG attribute.
      Parameters:
        `ajobNumber` - the com.sun.grid.jgdi.configuration.ULNG attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ULNG attribute has been removed

    - #### isSetJobNumber

          boolean isSetJobNumber()

      Determine if any jobNumber attribute is set
      Returns:
        `true` if the jobNumber attribute is set

    - #### setMessageNumber

          void setMessageNumber(int aMessageNumber)

      Set the messageNumber attribute.
      Parameters:
        `aMessageNumber` - the new value for the messageNumber attribute

    - #### getMessageNumber

          int getMessageNumber()

      Get the value of the messageNumber attribute.
      Returns:
        the value of the messageNumber attribute

    - #### isSetMessageNumber

          boolean isSetMessageNumber()

      Determine if any messageNumber attribute is set
      Returns:
        `true` if the messageNumber attribute is set

    - #### setMessage

          void setMessage(java.lang.String aMessage)

      Set the message attribute.
      Parameters:
        `aMessage` - the new value for the message attribute

    - #### getMessage

          java.lang.String getMessage()

      Get the value of the message attribute.
      Returns:
        the value of the message attribute

    - #### isSetMessage

          boolean isSetMessage()

      Determine if any message attribute is set
      Returns:
        `true` if the message attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.